DROP TABLE IF EXISTS servers;
DROP TABLE IF EXISTS netinfo;
DROP TABLE IF EXISTS daily;

CREATE TABLE servers (
  name varchar(64) NOT NULL default '',
  hidden int,
  users int,
  users_max int,
  users_when timestamp,
  opers int,
  opers_max int,
  opers_when timestamp,
  splits int,
  okills int,
  skills int,
  services int,
  services_max int,
  services_when timestamp,
  away int,
  away_max int,
  away_when timestamp,
  invis int,
  UNIQUE KEY name (name)
) TYPE=MyISAM;


CREATE TABLE netinfo (
  away int,
  users int,
  users_max int,
  users_when timestamp,
  opers int,
  opers_max int,
  opers_when timestamp,
  servers int,
  servers_max int,
  servers_when timestamp,
  services int,
  services_max int,
  services_when timestamp,
  maxaway int,
  maxaway_when timestamp,
  channels int,
  maxchannels int,
  maxchannels_when timestamp,
  invis int
) TYPE=MyISAM;

CREATE TABLE daily (
  now timestamp,
  users int,
  users_when timestamp,
  opers int,
  opers_when timestamp,
  servers int,
  servers_when timestamp,
  services int,
  services_when timestamp,
  channels int,
  channels_when timestamp
) TYPE=MyISAM;
