DROP TABLE IF EXISTS server;
DROP TABLE IF EXISTS user;
DROP TABLE IF EXISTS channel;
DROP TABLE IF EXISTS ison;
DROP TABLE IF EXISTS kills;

CREATE TABLE server (
  server varchar(64) NOT NULL default '',
  description varchar(255) NOT NULL default '',
  uplink varchar(64) default '',
  connecttime datetime,
  admin_name varchar(64) NOT NULL default '',
  admin_description varchar(64) NOT NULL default '',
  admin_email varchar(64) NOT NULL default '',
  version varchar(255) NOT NULL default '',
  hidden enum('Y', 'N') NOT NULL default 'N',
  UNIQUE KEY server (server),
  KEY uplink (uplink)
) TYPE=MyISAM;

CREATE TABLE user (
  nick varchar(64) NOT NULL default '',
  username varchar(11) NOT NULL default '',
  realname varchar(51) NOT NULL default '',
  hostname varchar(64) NOT NULL default '',
  hiddenhostname varchar(64) NOT NULL default '',
  connecttime datetime,
  server varchar(64) NOT NULL default '',
  away enum('Y','N') NOT NULL default 'N',
  awaymsg text,
  m_la enum('Y','N') NOT NULL default 'N',
  m_lb enum('Y','N') NOT NULL default 'N',
  m_lc enum('Y','N') NOT NULL default 'N',
  m_ld enum('Y','N') NOT NULL default 'N',
  m_le enum('Y','N') NOT NULL default 'N',
  m_lf enum('Y','N') NOT NULL default 'N',
  m_lg enum('Y','N') NOT NULL default 'N',
  m_lh enum('Y','N') NOT NULL default 'N',
  m_li enum('Y','N') NOT NULL default 'N',
  m_lj enum('Y','N') NOT NULL default 'N',
  m_lk enum('Y','N') NOT NULL default 'N',
  m_ll enum('Y','N') NOT NULL default 'N',
  m_lm enum('Y','N') NOT NULL default 'N',
  m_ln enum('Y','N') NOT NULL default 'N',
  m_lo enum('Y','N') NOT NULL default 'N',
  m_lp enum('Y','N') NOT NULL default 'N',
  m_lq enum('Y','N') NOT NULL default 'N',
  m_lr enum('Y','N') NOT NULL default 'N',
  m_ls enum('Y','N') NOT NULL default 'N',
  m_lt enum('Y','N') NOT NULL default 'N',
  m_lu enum('Y','N') NOT NULL default 'N',
  m_lv enum('Y','N') NOT NULL default 'N',
  m_lw enum('Y','N') NOT NULL default 'N',
  m_lx enum('Y','N') NOT NULL default 'N',
  m_ly enum('Y','N') NOT NULL default 'N',
  m_lz enum('Y','N') NOT NULL default 'N',
  m_ua enum('Y','N') NOT NULL default 'N',
  m_ub enum('Y','N') NOT NULL default 'N',
  m_uc enum('Y','N') NOT NULL default 'N',
  m_ud enum('Y','N') NOT NULL default 'N',
  m_ue enum('Y','N') NOT NULL default 'N',
  m_uf enum('Y','N') NOT NULL default 'N',
  m_ug enum('Y','N') NOT NULL default 'N',
  m_uh enum('Y','N') NOT NULL default 'N',
  m_ui enum('Y','N') NOT NULL default 'N',
  m_uj enum('Y','N') NOT NULL default 'N',
  m_uk enum('Y','N') NOT NULL default 'N',
  m_ul enum('Y','N') NOT NULL default 'N',
  m_um enum('Y','N') NOT NULL default 'N',
  m_un enum('Y','N') NOT NULL default 'N',
  m_uo enum('Y','N') NOT NULL default 'N',
  m_up enum('Y','N') NOT NULL default 'N',
  m_uq enum('Y','N') NOT NULL default 'N',
  m_ur enum('Y','N') NOT NULL default 'N',
  m_us enum('Y','N') NOT NULL default 'N',
  m_ut enum('Y','N') NOT NULL default 'N',
  m_uu enum('Y','N') NOT NULL default 'N',
  m_uv enum('Y','N') NOT NULL default 'N',
  m_uw enum('Y','N') NOT NULL default 'N',
  m_ux enum('Y','N') NOT NULL default 'N',
  m_uy enum('Y','N') NOT NULL default 'N',
  m_uz enum('Y','N') NOT NULL default 'N',
  UNIQUE KEY nick (nick),
  KEY server (server)
) TYPE=MyISAM;

CREATE TABLE channel (
  name varchar(200) binary NOT NULL default '',
  topic text,
  topicauthor varchar(100) default NULL,
  topictime datetime default NULL,
  m_la enum('Y','N') NOT NULL default 'N',
  m_lb enum('Y','N') NOT NULL default 'N',
  m_lc enum('Y','N') NOT NULL default 'N',
  m_ld enum('Y','N') NOT NULL default 'N',
  m_le enum('Y','N') NOT NULL default 'N',
  m_lf enum('Y','N') NOT NULL default 'N',
  m_lg enum('Y','N') NOT NULL default 'N',
  m_lh enum('Y','N') NOT NULL default 'N',
  m_li enum('Y','N') NOT NULL default 'N',
  m_lj enum('Y','N') NOT NULL default 'N',
  m_lk enum('Y','N') NOT NULL default 'N',
  m_ll enum('Y','N') NOT NULL default 'N',
  m_lm enum('Y','N') NOT NULL default 'N',
  m_ln enum('Y','N') NOT NULL default 'N',
  m_lo enum('Y','N') NOT NULL default 'N',
  m_lp enum('Y','N') NOT NULL default 'N',
  m_lq enum('Y','N') NOT NULL default 'N',
  m_lr enum('Y','N') NOT NULL default 'N',
  m_ls enum('Y','N') NOT NULL default 'N',
  m_lt enum('Y','N') NOT NULL default 'N',
  m_lu enum('Y','N') NOT NULL default 'N',
  m_lv enum('Y','N') NOT NULL default 'N',
  m_lw enum('Y','N') NOT NULL default 'N',
  m_lx enum('Y','N') NOT NULL default 'N',
  m_ly enum('Y','N') NOT NULL default 'N',
  m_lz enum('Y','N') NOT NULL default 'N',
  m_ua enum('Y','N') NOT NULL default 'N',
  m_ub enum('Y','N') NOT NULL default 'N',
  m_uc enum('Y','N') NOT NULL default 'N',
  m_ud enum('Y','N') NOT NULL default 'N',
  m_ue enum('Y','N') NOT NULL default 'N',
  m_uf enum('Y','N') NOT NULL default 'N',
  m_ug enum('Y','N') NOT NULL default 'N',
  m_uh enum('Y','N') NOT NULL default 'N',
  m_ui enum('Y','N') NOT NULL default 'N',
  m_uj enum('Y','N') NOT NULL default 'N',
  m_uk enum('Y','N') NOT NULL default 'N',
  m_ul enum('Y','N') NOT NULL default 'N',
  m_um enum('Y','N') NOT NULL default 'N',
  m_un enum('Y','N') NOT NULL default 'N',
  m_uo enum('Y','N') NOT NULL default 'N',
  m_up enum('Y','N') NOT NULL default 'N',
  m_uq enum('Y','N') NOT NULL default 'N',
  m_ur enum('Y','N') NOT NULL default 'N',
  m_us enum('Y','N') NOT NULL default 'N',
  m_ut enum('Y','N') NOT NULL default 'N',
  m_uu enum('Y','N') NOT NULL default 'N',
  m_uv enum('Y','N') NOT NULL default 'N',
  m_uw enum('Y','N') NOT NULL default 'N',
  m_ux enum('Y','N') NOT NULL default 'N',
  m_uy enum('Y','N') NOT NULL default 'N',
  m_uz enum('Y','N') NOT NULL default 'N',
  m_limit int(10) NOT NULL default '0',
  m_key varchar(23) NOT NULL default '',
  UNIQUE KEY name (name)
) TYPE=MyISAM;

CREATE TABLE ison (
  nick varchar(64) NOT NULL default '',
  channel varchar(200) binary NOT NULL default '',
  operator enum('Y','N') NOT NULL default 'N',
  halfop enum('Y','N') NOT NULL default 'N',
  voice enum('Y','N') NOT NULL default 'N',
  PRIMARY KEY  (nick, channel)
) TYPE=MyISAM;

CREATE TABLE kills (
  source_nick varchar(64) NOT NULL default '',
  source_server varchar(64) NOT NULL default '',
  target_nick varchar(64) NOT NULL default '',
  target_hostname varchar(64) NOT NULL default '',
  target_server varchar(64) NOT NULL default '',
  killtime datetime,
  reason text
) TYPE=MyISAM;
